Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 601683 - 'exceptions.NameError' during rhn_register.,<reading system and smbios information>
'exceptions.NameError' during rhn_register.,<reading system and smbios inform...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Milan Zázrivec
Garik Khachikyan
:
Depends On:
Blocks: 582655
  Show dependency treegraph
 
Reported: 2010-06-08 09:14 EDT by Garik Khachikyan
Modified: 2015-01-04 16:57 EST (History)
1 user (show)

See Also:
Fixed In Version: rhn-client-tools-1.0.0-22.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:30:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch fixing the problem (602 bytes, patch)
2010-06-09 11:00 EDT, Milan Zázrivec
no flags Details | Diff

  None (edit)
Description Garik Khachikyan 2010-06-08 09:14:45 EDT
Description of problem:
During rhn_register of the RHEL6 Server Nightly (kernel-2.6.32-33.el6.i686) (run on KVM guest of i386) there was thrown an error in /var/log/up2date (on debug=3 level) like (pay attention on the <Error reading ...>):
--
[Tue Jun  8 15:59:19 2010] rhn_register D: Running Tui
[Tue Jun  8 15:59:19 2010] rhn_register D: index is 1
[Tue Jun  8 15:59:19 2010] rhn_register D: Running ConnectWindow
[Tue Jun  8 15:59:19 2010] rhn_register D: rpcServer: Calling XMLRPC registration.welcome_message
[Tue Jun  8 15:59:20 2010] rhn_register D: Result next
[Tue Jun  8 15:59:20 2010] rhn_register D: index is 2
[Tue Jun  8 15:59:20 2010] rhn_register D: Running StartWindow
[Tue Jun  8 15:59:22 2010] rhn_register D: Result next
[Tue Jun  8 15:59:22 2010] rhn_register D: index is 3
[Tue Jun  8 15:59:22 2010] rhn_register D: Running InfoWindow
[Tue Jun  8 15:59:30 2010] rhn_register D: rpcServer: Calling XMLRPC registration.reserve_user
[Tue Jun  8 15:59:31 2010] rhn_register D: Result next
[Tue Jun  8 15:59:31 2010] rhn_register D: Error reading system and smbios information: <type 'exceptions.NameError'>

[Tue Jun  8 15:59:31 2010] rhn_register D: rpcServer: Calling XMLRPC registration.activate_hardware_info
[Tue Jun  8 15:59:32 2010] rhn_register D: There are are no entitlements associated with this hardware.
[Tue Jun  8 15:59:32 2010] rhn_register D: rpcServer: Calling XMLRPC registration.available_eus_channels
[Tue Jun  8 15:59:33 2010] rhn_register D: No available EUS channels, skipping OSReleaseWindow
[Tue Jun  8 15:59:33 2010] rhn_register D: index is 5
[Tue Jun  8 15:59:33 2010] rhn_register D: Running HardwareWindow
[Tue Jun  8 15:59:41 2010] rhn_register D: Result next
[Tue Jun  8 15:59:41 2010] rhn_register D: index is 6
[Tue Jun  8 15:59:41 2010] rhn_register D: Running PackagesWindow
[Tue Jun  8 15:59:43 2010] rhn_register D: Result next
...
--

Version-Release number of selected component (if applicable):
rhn-client-tools-1.0.0-18.el6.noarch

How reproducible:
Always: tried on RHEL6 i386, x86_64 KVM guests.

Steps to Reproduce:
1. described above.
2. 
3.
  
Actual results:
Error traceback - not sure if the hardware info is sending correct/complete.

Expected results:
No tracebacks.

Additional info:
hostedWhitelist=xmlrpc.rhn.errata.stage.redhat.com
versionOverride=6
Comment 2 Milan Zázrivec 2010-06-09 10:45:05 EDT
Valid bug affecting registration to RHN / RHN Satellite, needs to
be resolved ASAP.
Comment 4 Milan Zázrivec 2010-06-09 10:58:58 EDT
reproducer script:

#!/usr/bin/python
import sys
sys.path.append('/usr/share/rhn')
from up2date_client import hardware
print hardware.get_hal_system_and_smbios()

which in case this bug is not fixed, will print an error message; in case
it's fixed will print a dict with smbios information.
Comment 5 Milan Zázrivec 2010-06-09 11:00:03 EDT
Created attachment 422586 [details]
patch fixing the problem
Comment 6 Milan Zázrivec 2010-06-10 04:53:15 EDT
spacewalk.git master: d93e338a8649dfe18718b9302f675eed787708f3
satellite.git CLIENT-RHEL-6: d16cc577089fa56fc07f5dfa5f63eb619ebd52c9
Comment 8 Garik Khachikyan 2010-07-08 09:32:04 EDT
# VERIFIED 

No issues any more with running the reproducer script from comment#4.
Checked on KVM guests as well as real servers (arch: i386, x86_64)

The package(s) checked against:
rhn-client-tools-1.0.0-24.el6.noarch
Comment 10 releng-rhel@redhat.com 2010-11-10 16:30:11 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.